require 'sketchup.rb'
Sketchup::require 'su2pov35'
Sketchup::require 'su2pov/su2pov_wd'
ocr_env

# ---------------------------------------------------------------------------
# Menu items                                                                                        
#----------------------------------------------------------------------------

if (not file_loaded?("su2pov35Toolbar.rb"))
    # Standard menu
    menu = UI.menu("Plugins")
    ocr_menu=menu.add_submenu("Instant POV-RAY render [3.5]")
    ocr_menu.add_item("Render !") { ocr_pov }
    ocr_menu.add_separator
	ocr_menu.add_item("Pointlight") { ocr_insert_pl }
	ocr_menu.add_item("Spotlight") { ocr_insert_sl }
    ocr_menu.add_separator
    ocr_menu.add_item("Rendering options") { ocr_webdialog_settings() }
    ocr_menu.add_item("Image options") { ocr_webdialog_image() }
	ocr_menu.add_item("Save options to scene") { ocr_saveSettingsToScene() }
	ocr_menu.add_item("Restore options from scene") { ocr_restoreSettingsFromScene() }
	ocr_menu.add_separator
	ocr_menu.add_item("About SU2POV...") { ocr_webdialog_banner() }
    
    # Context menu
    UI.add_context_menu_handler do |menu|
        if( ocr_plight_selection )
        	menu.add_separator
			menu.add_item("Edit Point Light") {ocr_edit_pl }
            menu.add_separator
        end
        if( ocr_slight_selection )
        	menu.add_separator
            menu.add_item("Edit Spot Light") {ocr_edit_sl }
            menu.add_separator
        end
        if( ocr_material_selection )
        	menu.add_separator
            menu.add_item("Edit Pov-Ray finish") { ocr_webdialog_material }
            menu.add_item("Remove Pov-Ray finish") {ocr_remove_prmat }
			menu.add_item("Remove all Pov-Ray finishes") { ocr_remove_all_prmat }
            menu.add_separator
        end
    end
    
	# Toolbar
	ocr_tb = UI::Toolbar.new("SU2POV")
	
	cmd1 = UI::Command.new(("Render")) { ocr_pov() }
	cmd1.small_icon = "su2pov/IMAGES/su2pov_render_Small.png"
	cmd1.large_icon = "su2pov/IMAGES/su2pov_render_Large.png"
	cmd1.tooltip = "Render the SketchUp model as is"
	ocr_tb.add_item(cmd1)
	
	cmd2 = UI::Command.new(("Pointlight")) { ocr_insert_pl() }
	cmd2.small_icon = "su2pov/IMAGES/su2pov_plight_Small.png"
	cmd2.large_icon = "su2pov/IMAGES/su2pov_plight_Large.png"
	cmd2.tooltip = "Insert point light"
	ocr_tb.add_item(cmd2)
	
	cmd3 = UI::Command.new(("Spotlight")) { ocr_insert_sl() }
	cmd3.small_icon = "su2pov/IMAGES/su2pov_slight_Small.png"
	cmd3.large_icon = "su2pov/IMAGES/su2pov_slight_Large.png"
	cmd3.tooltip = "Insert spot light"
	ocr_tb.add_item(cmd3)
	
	cmd4 = UI::Command.new(("Render settings")) { ocr_webdialog_settings() }
	cmd4.small_icon = "su2pov/IMAGES/su2pov_renderset_Small.png"
	cmd4.large_icon = "su2pov/IMAGES/su2pov_renderset_Large.png"
	cmd4.tooltip = "Render settings"
	ocr_tb.add_item(cmd4)
	
	cmd5 = UI::Command.new(("Image settings")) { ocr_webdialog_image() }
	cmd5.small_icon = "su2pov/IMAGES/su2pov_imageset_Small.png"
	cmd5.large_icon = "su2pov/IMAGES/su2pov_imageset_Large.png"
	cmd5.tooltip = "Image settings"
	ocr_tb.add_item(cmd5)
	
	cmd6 = UI::Command.new(("Save settings to scene")) { ocr_saveSettingsToScene() }
	cmd6.small_icon = "su2pov/IMAGES/su2pov_scenesave_Small.png"
	cmd6.large_icon = "su2pov/IMAGES/su2pov_scenesave_Large.png"
	cmd6.tooltip = "Save settings to scene"
	ocr_tb.add_item(cmd6)
	
	cmd7 = UI::Command.new(("Restore settings from scene")) { ocr_restoreSettingsFromScene() }
	cmd7.small_icon = "su2pov/IMAGES/su2pov_scenerestore_Small.png"
	cmd7.large_icon = "su2pov/IMAGES/su2pov_scenerestore_Large.png"
	cmd7.tooltip = "Restore settings from scene"
	ocr_tb.add_item(cmd7)
	
	# Don't load me twice
	file_loaded?("su2pov35Toolbar.rb")
end

